[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TCustomDaemonApplication.CreateDaemon

Create daemon instance

## Declaration

Source position: daemonapp.pp line 394

`public function TCustomDaemonApplication.CreateDaemon(`
`DaemonDef: TDaemonDef`
`):TCustomDaemon;`

## Arguments

`DaemonDef` |  | Daemon definition containing information to create a daemon.

## Function result

New TCustomDaemon instance.

## Description

CreateDaemon is called whenever a TCustomDaemon instance must be created from a TDaemonDef daemon definition, passed in DaemonDef. It initializes the TCustomDaemon instance, and creates a controller instance of type TDaemonController to control the daemon. Finally, it assigns the created daemon to the TDaemonDef.Instance property.

## Errors

In case of an error, an exception may be raised.

## See also

TDaemonController |  | Internal daemon controller class
TCustomDaemon |  | Base daemon application class
TDaemonDef |  | Daemon definition
TDaemonDef.Instance |  | Instance of the daemon class